Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.4.1

Doc Bug #15620 Please update package license
Submitted: 2009-01-12 20:51 UTC
From: thijs Assigned: doconnor
Status: Closed Package: Mail (version 1.2.0b1)
PHP Version: Irrelevant OS:
Roadmaps: (Not assigned)    
Subscription  


 [2009-01-12 20:51 UTC] thijs (Thijs Kinkhorst)
Description: ------------ Hi, The package is now licensed under a combination of PHP 2.02 and BSD licenses. There are some problems with the PHP 2.02 license; for example it states that "This software includes Zend" and "This software includes PHP", which is not the case for this module. Would it be possible to update the license? My proposal would be to license all files under the BSD license, so the whole package gets one license, and the BSD license is a widely known liberal open source license. As (in my opinion less preferred) alternative would be to upgrade to version 3.01 of the PHP license. thanks, Thijs

Comments

 [2009-10-14 23:55 UTC] cweiske (Christian Weiske)
Richard, Chuck - what do you say?
 [2009-10-14 23:55 UTC] chagenbu (Chuck Hagenbuch)
Fine by me.
 [2009-10-15 00:31 UTC] richard (Richard Heyes)
No problemo.
 [2010-02-08 13:10 UTC] doconnor (Daniel O'Connor)
Other contributors: gERD Schaufelberger <gerd@php-tools.net> - smtpmx
 [2010-02-08 13:10 UTC] doconnor (Daniel O'Connor)
Jon Parise <jon@php.net> as well for smtp.php
 [2010-02-08 13:16 UTC] doconnor (Daniel O'Connor)
[294747]
 [2010-02-08 13:16 UTC] doconnor (Daniel O'Connor)
-Status: Open +Status: Closed -Assigned To: +Assigned To: doconnor
This bug has been fixed in SVN. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.